netatalk: ldapconfig.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ldapconfig.h File Reference
`#include <iniparser.h>`

Go to the source code of this file.

## Data Structures
struct | ldap_pref
struct | pref_array

## Enumerations
enum | ldap_uuid_encoding_type { LDAP_UUID_ENCODING_STRING = 0 , LDAP_UUID_ENCODING_MSGUID = 1 }

## Functions
int | acl_ldap_readconfig (dictionary *iniconfig)
void | acl_ldap_freeconfig (void)

## Variables
char * | ldap_server
int | ldap_auth_method
char * | ldap_auth_dn
char * | ldap_auth_pw
char * | ldap_userbase
char * | ldap_groupbase
char * | ldap_uuid_attr
char * | ldap_uuid_string
char * | ldap_name_attr
char * | ldap_group_attr
char * | ldap_uid_attr
char * | ldap_userfilter
char * | ldap_groupfilter
int | ldap_uuid_encoding
struct ldap_pref | ldap_prefs []
struct pref_array | prefs_array []
int | ldap_config_valid

## Enumeration Type Documentation

## ◆ ldap_uuid_encoding_type

enum ldap_uuid_encoding_type

Enumerator
LDAP_UUID_ENCODING_STRING | Plain ASCII string
LDAP_UUID_ENCODING_MSGUID | Raw byte array, from Active Directory objectGUID

## Function Documentation

## ◆ acl_ldap_freeconfig()

void acl_ldap_freeconfig | ( | void |  | ) |
| extern

## ◆ acl_ldap_readconfig()

int acl_ldap_readconfig | ( | dictionary * | iniconfig | ) |
| extern

## Variable Documentation

## ◆ ldap_auth_dn

char* ldap_auth_dn
| extern

## ◆ ldap_auth_method

int ldap_auth_method
| extern

## ◆ ldap_auth_pw

char* ldap_auth_pw
| extern

## ◆ ldap_config_valid

int ldap_config_valid
| extern

## ◆ ldap_group_attr

char* ldap_group_attr
| extern

## ◆ ldap_groupbase

char* ldap_groupbase
| extern

## ◆ ldap_groupfilter

char* ldap_groupfilter
| extern

## ◆ ldap_name_attr

char* ldap_name_attr
| extern

## ◆ ldap_prefs

struct ldap_pref ldap_prefs[]
| extern

## ◆ ldap_server

char* ldap_server
| extern

## ◆ ldap_uid_attr

char* ldap_uid_attr
| extern

## ◆ ldap_userbase

char* ldap_userbase
| extern

## ◆ ldap_userfilter

char* ldap_userfilter
| extern

## ◆ ldap_uuid_attr

char* ldap_uuid_attr
| extern

## ◆ ldap_uuid_encoding

int ldap_uuid_encoding
| extern

## ◆ ldap_uuid_string

char* ldap_uuid_string
| extern

## ◆ prefs_array

struct pref_array prefs_array[]
| extern